Bio::Tools::PrositeScan(3p)

NAME
Bio::Tools::PrositeScan - Parser for ps_scan result

SYNOPSIS
  use Bio::Tools::PrositeScan;

  my $factory = Bio::Tools::PrositeScan->new(
      -file   => 'out.PrositeScan',
      -format => 'fasta'
  );

  while(my $match = $factory->next_prediction){
      #  $match is a Bio::SeqFeature::FeaturePair

      # Sequence ID
      my $seq_id = $match->seq_id;

      # PROSITE accession number
      my $psac = $match->hseq_id;

      # Coordinates
      my @coords = ( $match->start, $match->end );

      # Subsequence
      my $seq = $match->feature1->seq;
  }

DESCRIPTION
This is a parser of the output of the ps_scan program. It takes either a file handle or a file name, and returns a Bio::SeqFeature::FeaturePair object.

Note that the current implementation parses the entire file at once.

AUTHOR
Juguang Xiao, juguang@tll.org.sg

SEE ALSO

•   ps_scan software <ftp://ftp.expasy.org/databases/prosite/ps_scan>

•   PROSITE User Manual <http://prosite.expasy.org/prosuser.html>

  new
  Title   : new
  Usage   : Bio::Tools::PrositeScan->new(-file => 'out.PrositeScan');
            Bio::Tools::PrositeScan->new(-fh => \*FH);
  Returns : L<Bio::Tools::PrositeScan>
  Args    : -format => string representing the format type for the
                       ps_scan output, REQUIRED

The "-format" argument must currently be set to "fasta" since this is the only parser implemented. This corresponds with using the ps_scan arguments "-o fasta".

  next_prediction
  Title   : new
  Usage   :
      while($result = $factory->next_prediction){
          ;
      }

  Returns : a Bio::SeqFeature::FeaturePair object where
            feature1 is the matched subsequence and
            feature2 is the PROSITE accession number.
            See <http://prosite.expasy.org/prosuser.html#conv_ac>.